<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <meta name="GENERATOR" content="Quadralay WebWorks Publisher Professional Edition 6.0.7" />
    <meta name="TEMPLATEBASE" content="DataDirect WWH 2.0" />
    <meta name="LASTUPDATED" content="09/05/02 10:40:30" />
    <title>B SQL Server 2000 Driver for JDBC GetTypeinfo</title>
    <link rel="StyleSheet" href="document.css" type="text/css" media="screen" />
  </head>

  <body>
    <script type="text/javascript" language="JavaScript">
     <!--
      function  WWHUpdateFavorite(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fUpdateFavorite(ParamHREF);
        }
      }

      function  WWHSyncTOC(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fSyncTOC(ParamHREF);
        }
      }

      function  WWHShowPopup(ParamContext,
                             ParamLink,
                             ParamEvent)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fShowPopup(ParamContext, ParamLink, ParamEvent);
        }
      }

      function  WWHHidePopup()
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fHidePopup();
        }
      }

      function  WWHClickedPopup(ParamContext,
                                ParamLink)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          location.href = parent.WWHelpFrameSet.fClickedPopup(ParamContext, ParamLink);
        }
      }
     // -->
    </script>

    <script type="text/javascript" language="JavaScript">
     <!--
      var  WWHelpHREF = location.href;


      WWHUpdateFavorite(WWHelpHREF);
     // -->
    </script>

    <blockquote>
<h2 id="918106" class="NewHTMLPageApp2">
  <a name="918106"> </a>SQL Server 2000 Driver for JDBC GetTypeinfo
</h2><hr />
<p id="935780" class="Body">
  <a name="935780"> </a>The following table provides results returned from the method DataBaseMetaData.getTypeinfo for the SQL Server 2000 Driver for JDBC. The table is alphabetical first by TYPE_NAME, and then by parameter.
</p>
<p id="929970" class="Body">
  <a name="929970"> </a>

<table border="1" cellpadding="5" cellspacing="0">
  <caption><a name="936276"> </a><div id="936276" class="TableTitle">Table B-1.  GetTypeinfo for the SQL Server 2000 Driver for JDBC </div></caption>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936280"> </a><div id="936280" class="CellHeading">TYPE_NAME = bigint</div><a name="936281"> </a><div id="936281" class="CellBody">AUTO_INCREMENT = false<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = -5 (BIGINT)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = bigint<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936283"> </a><div id="936283" class="CellHeading"><br /></div><a name="936284"> </a><div id="936284" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 1<br />NUM_PREC_RADIX = 10<br />PRECISION = 19<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936286"> </a><div id="936286" class="CellHeading">TYPE_NAME = bigint identity</div><a name="936287"> </a><div id="936287" class="CellBody">AUTO_INCREMENT = true<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = -5 (BIGINT)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = bigint identity<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936289"> </a><div id="936289" class="CellHeading"><br /></div><a name="936290"> </a><div id="936290" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 0<br />NUM_PREC_RADIX = 10<br />PRECISION = 19<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936292"> </a><div id="936292" class="CellHeading">TYPE_NAME = binary</div><a name="936293"> </a><div id="936293" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = length<br />DATA_TYPE = -2 (BINARY)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = 0x<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = binary<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936295"> </a><div id="936295" class="CellHeading"><br /></div><a name="936296"> </a><div id="936296" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 8000<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936298"> </a><div id="936298" class="CellHeading">TYPE_NAME = bit</div><a name="936299"> </a><div id="936299" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = -7 (BIT)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = bit<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936301"> </a><div id="936301" class="CellHeading"><br /></div><a name="936302"> </a><div id="936302" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 1<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936304"> </a><div id="936304" class="CellHeading">TYPE_NAME = char</div><a name="936305"> </a><div id="936305" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = length<br />DATA_TYPE = 1 (CHAR)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = '<br />LITERAL_SUFFIX = '<br />LOCAL_TYPE_NAME = char<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936307"> </a><div id="936307" class="CellHeading"><br /></div><a name="936308"> </a><div id="936308" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 8000<br />SEARCHABLE = 3<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936310"> </a><div id="936310" class="CellHeading">TYPE_NAME = datetime</div><a name="936311"> </a><div id="936311" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 93 (TIMESTAMP)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = '<br />LITERAL_SUFFIX = '<br />LOCAL_TYPE_NAME = datetime<br />MAXIMUM_SCALE = 3</div></td>
    <td bgcolor="#E6E6E6"><a name="936313"> </a><div id="936313" class="CellHeading"><br /></div><a name="936314"> </a><div id="936314" class="CellBody">MINIMUM_SCALE = 3<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 23<br />SEARCHABLE = 3<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936316"> </a><div id="936316" class="CellHeading">TYPE_NAME = decimal</div><a name="936317"> </a><div id="936317" class="CellBody">AUTO_INCREMENT = false<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = precision,scale<br />DATA_TYPE = 3 (DECIMAL)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = decimal<br />MAXIMUM_SCALE = 38</div></td>
    <td bgcolor="#E6E6E6"><a name="936319"> </a><div id="936319" class="CellHeading"><br /></div><a name="936320"> </a><div id="936320" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 1<br />NUM_PREC_RADIX = 10<br />PRECISION = 38<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936322"> </a><div id="936322" class="CellHeading">TYPE_NAME = decimal() identity</div><a name="936323"> </a><div id="936323" class="CellBody">AUTO_INCREMENT = true<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = precision<br />DATA_TYPE = 3 (DECIMAL)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = decimal() identity<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936325"> </a><div id="936325" class="CellHeading"><br /></div><a name="936326"> </a><div id="936326" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 0<br />NUM_PREC_RADIX = 10<br />PRECISION = 38<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936328"> </a><div id="936328" class="CellHeading">TYPE_NAME = float</div><a name="936329"> </a><div id="936329" class="CellBody">AUTO_INCREMENT = false<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 6 (FLOAT)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = float<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936331"> </a><div id="936331" class="CellHeading"><br /></div><a name="936332"> </a><div id="936332" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 1<br />NUM_PREC_RADIX = 2<br />PRECISION = 53<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936334"> </a><div id="936334" class="CellHeading">TYPE_NAME = image</div><a name="936335"> </a><div id="936335" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = -4 (LONGVARBINARY)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = 0x<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = image<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936337"> </a><div id="936337" class="CellHeading"><br /></div><a name="936338"> </a><div id="936338" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 2147483647<br />SEARCHABLE = 0<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936340"> </a><div id="936340" class="CellHeading">TYPE_NAME = int</div><a name="936341"> </a><div id="936341" class="CellBody">AUTO_INCREMENT = false<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 4 (INTEGER)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = int<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936343"> </a><div id="936343" class="CellHeading"><br /></div><a name="936344"> </a><div id="936344" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 1<br />NUM_PREC_RADIX = 10<br />PRECISION = 10<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936346"> </a><div id="936346" class="CellHeading">TYPE_NAME = int identity</div><a name="936347"> </a><div id="936347" class="CellBody">AUTO_INCREMENT = true<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 4 (INTEGER)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = int identity<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936349"> </a><div id="936349" class="CellHeading"><br /></div><a name="936350"> </a><div id="936350" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 0<br />NUM_PREC_RADIX = 10<br />PRECISION = 10<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936352"> </a><div id="936352" class="CellHeading">TYPE_NAME = money</div><a name="936353"> </a><div id="936353" class="CellBody">AUTO_INCREMENT = false<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 3 (DECIMAL)<br />FIXED_PREC_SCALE = true<br />LITERAL_PREFIX = $<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = money<br />MAXIMUM_SCALE = 4</div></td>
    <td bgcolor="#E6E6E6"><a name="936355"> </a><div id="936355" class="CellHeading"><br /></div><a name="936356"> </a><div id="936356" class="CellBody">MINIMUM_SCALE = 4<br />NULLABLE = 1<br />NUM_PREC_RADIX = 10<br />PRECISION = 19<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936358"> </a><div id="936358" class="CellHeading">TYPE_NAME = nchar</div><a name="936359"> </a><div id="936359" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = length<br />DATA_TYPE = 1 (CHAR)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = N'<br />LITERAL_SUFFIX = '<br />LOCAL_TYPE_NAME = nchar<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936361"> </a><div id="936361" class="CellHeading"><br /></div><a name="936362"> </a><div id="936362" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 4000<br />SEARCHABLE = 3<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936364"> </a><div id="936364" class="CellHeading">TYPE_NAME = ntext</div><a name="936365"> </a><div id="936365" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = -1 (LONGVARCHAR)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = N'<br />LITERAL_SUFFIX = '<br />LOCAL_TYPE_NAME = ntext<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936367"> </a><div id="936367" class="CellHeading"><br /></div><a name="936368"> </a><div id="936368" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 1073741823<br />SEARCHABLE = 1<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936370"> </a><div id="936370" class="CellHeading">TYPE_NAME = numeric</div><a name="936371"> </a><div id="936371" class="CellBody">AUTO_INCREMENT = false<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = precision,scale<br />DATA_TYPE = 2 (NUMERIC)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = numeric<br />MAXIMUM_SCALE = 38</div></td>
    <td bgcolor="#E6E6E6"><a name="936373"> </a><div id="936373" class="CellHeading"><br /></div><a name="936374"> </a><div id="936374" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 1<br />NUM_PREC_RADIX = 10<br />PRECISION = 38<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936376"> </a><div id="936376" class="CellHeading">TYPE_NAME = numeric() identity</div><a name="936377"> </a><div id="936377" class="CellBody">AUTO_INCREMENT = true<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = precision<br />DATA_TYPE = 2 (NUMERIC)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = numeric() identity<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936379"> </a><div id="936379" class="CellHeading"><br /></div><a name="936380"> </a><div id="936380" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 0<br />NUM_PREC_RADIX = 10<br />PRECISION = 38<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936382"> </a><div id="936382" class="CellHeading">TYPE_NAME = nvarchar</div><a name="936383"> </a><div id="936383" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = max length<br />DATA_TYPE = 12 (VARCHAR)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = N'<br />LITERAL_SUFFIX = '<br />LOCAL_TYPE_NAME = nvarchar<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936385"> </a><div id="936385" class="CellHeading"><br /></div><a name="936386"> </a><div id="936386" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 4000<br />SEARCHABLE = 3<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936388"> </a><div id="936388" class="CellHeading">TYPE_NAME = real</div><a name="936389"> </a><div id="936389" class="CellBody">AUTO_INCREMENT = false<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 7 (REAL)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = real<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936391"> </a><div id="936391" class="CellHeading"><br /></div><a name="936392"> </a><div id="936392" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 1<br />NUM_PREC_RADIX = 2<br />PRECISION = 24<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936394"> </a><div id="936394" class="CellHeading">TYPE_NAME = smalldatetime</div><a name="936395"> </a><div id="936395" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 93 (TIMESTAMP)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = '<br />LITERAL_SUFFIX = '<br />LOCAL_TYPE_NAME = smalldatetime<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936397"> </a><div id="936397" class="CellHeading"><br /></div><a name="936398"> </a><div id="936398" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 16<br />SEARCHABLE = 3<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936400"> </a><div id="936400" class="CellHeading">TYPE_NAME = smallint</div><a name="936401"> </a><div id="936401" class="CellBody">AUTO_INCREMENT = false<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 5 (SMALLINT)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = smallint<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936403"> </a><div id="936403" class="CellHeading"><br /></div><a name="936404"> </a><div id="936404" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 1<br />NUM_PREC_RADIX = 10<br />PRECISION = 5<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936406"> </a><div id="936406" class="CellHeading">TYPE_NAME = smallint identity</div><a name="936407"> </a><div id="936407" class="CellBody">AUTO_INCREMENT = true<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 5 (SMALLINT)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = smallint identity<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936409"> </a><div id="936409" class="CellHeading"><br /></div><a name="936410"> </a><div id="936410" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 0<br />NUM_PREC_RADIX = 10<br />PRECISION = 5<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936412"> </a><div id="936412" class="CellHeading">TYPE_NAME = smallmoney</div><a name="936413"> </a><div id="936413" class="CellBody">AUTO_INCREMENT = false<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 3 (DECIMAL)<br />FIXED_PREC_SCALE = true<br />LITERAL_PREFIX = $<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = smallmoney<br />MAXIMUM_SCALE = 4</div></td>
    <td bgcolor="#E6E6E6"><a name="936415"> </a><div id="936415" class="CellHeading"><br /></div><a name="936416"> </a><div id="936416" class="CellBody">MINIMUM_SCALE = 4<br />NULLABLE = 1<br />NUM_PREC_RADIX = 10<br />PRECISION = 10<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = false</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936418"> </a><div id="936418" class="CellHeading">TYPE_NAME = sql_variant</div><a name="936419"> </a><div id="936419" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 12 (VARCHAR)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = sql_variant<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936421"> </a><div id="936421" class="CellHeading"><br /></div><a name="936422"> </a><div id="936422" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 1<br />NUM_PREC_RADIX = 10<br />PRECISION = 8000<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936424"> </a><div id="936424" class="CellHeading">TYPE_NAME = sysname</div><a name="936425"> </a><div id="936425" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 12 (VARCHAR)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = N'<br />LITERAL_SUFFIX = '<br />LOCAL_TYPE_NAME = sysname<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936427"> </a><div id="936427" class="CellHeading"><br /></div><a name="936428"> </a><div id="936428" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 0<br />NUM_PREC_RADIX = NULL<br />PRECISION = 128<br />SEARCHABLE = 3<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936430"> </a><div id="936430" class="CellHeading">TYPE_NAME = text</div><a name="936431"> </a><div id="936431" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = -1 (LONGVARCHAR)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = '<br />LITERAL_SUFFIX = '<br />LOCAL_TYPE_NAME = text<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936433"> </a><div id="936433" class="CellHeading"><br /></div><a name="936434"> </a><div id="936434" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 2147483647<br />SEARCHABLE = 1<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936436"> </a><div id="936436" class="CellHeading">TYPE_NAME = timestamp</div><a name="936437"> </a><div id="936437" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = -2 (BINARY)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = 0x<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = timestamp<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936439"> </a><div id="936439" class="CellHeading"><br /></div><a name="936440"> </a><div id="936440" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 0<br />NUM_PREC_RADIX = NULL<br />PRECISION = 8<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936442"> </a><div id="936442" class="CellHeading">TYPE_NAME = tinyint</div><a name="936443"> </a><div id="936443" class="CellBody">AUTO_INCREMENT = false<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = -6 (TINYINT)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = tinyint<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936445"> </a><div id="936445" class="CellHeading"><br /></div><a name="936446"> </a><div id="936446" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 1<br />NUM_PREC_RADIX = 10<br />PRECISION = 3<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = true</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936448"> </a><div id="936448" class="CellHeading">TYPE_NAME = tinyint identity</div><a name="936449"> </a><div id="936449" class="CellBody">AUTO_INCREMENT = true<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = -6 (TINYINT)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = NULL<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = tinyint identity<br />MAXIMUM_SCALE = 0</div></td>
    <td bgcolor="#E6E6E6"><a name="936451"> </a><div id="936451" class="CellHeading"><br /></div><a name="936452"> </a><div id="936452" class="CellBody">MINIMUM_SCALE = 0<br />NULLABLE = 0<br />NUM_PREC_RADIX = 10<br />PRECISION = 3<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = true</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936454"> </a><div id="936454" class="CellHeading">TYPE_NAME = uniqueidentifier</div><a name="936455"> </a><div id="936455" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = NULL<br />DATA_TYPE = 1(CHAR)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = '<br />LITERAL_SUFFIX = '<br />LOCAL_TYPE_NAME = uniqueidentifier<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936457"> </a><div id="936457" class="CellHeading"><br /></div><a name="936458"> </a><div id="936458" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 36<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936460"> </a><div id="936460" class="CellHeading">TYPE_NAME = varbinary</div><a name="936461"> </a><div id="936461" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = max length<br />DATA_TYPE = -3 (VARBINARY)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = 0x<br />LITERAL_SUFFIX = NULL<br />LOCAL_TYPE_NAME = varbinary<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936463"> </a><div id="936463" class="CellHeading"><br /></div><a name="936464"> </a><div id="936464" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 8000<br />SEARCHABLE = 2<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="936466"> </a><div id="936466" class="CellHeading">TYPE_NAME = varchar</div><a name="936467"> </a><div id="936467" class="CellBody">AUTO_INCREMENT = NULL<br />CASE_SENSITIVE = false<br />CREATE_PARAMS = max length<br />DATA_TYPE = 12 (VARCHAR)<br />FIXED_PREC_SCALE = false<br />LITERAL_PREFIX = '<br />LITERAL_SUFFIX = '<br />LOCAL_TYPE_NAME = varchar<br />MAXIMUM_SCALE = NULL</div></td>
    <td bgcolor="#E6E6E6"><a name="936469"> </a><div id="936469" class="CellHeading"><br /></div><a name="936470"> </a><div id="936470" class="CellBody">MINIMUM_SCALE = NULL<br />NULLABLE = 1<br />NUM_PREC_RADIX = NULL<br />PRECISION = 8000<br />SEARCHABLE = 3<br />SQL_DATA_TYPE = NULL<br />SQL_DATETIME_SUB = NULL<br />UNSIGNED_ATTRIBUTE = NULL</div></td>
  </tr>
</table>




</p>
<p></p><p id="927504" class="Body">
  <a name="927504"> </a>
</p>
    </blockquote>

    <hr />

    <table border="0">
      <tr>
        <td width="23">
<a href="jdbcsupp18.html">
      <img alt="Previous Document" border="0" src="images/prev.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Previous Page       
        </td>
        <td width="23">
<a href="jdbcdesign.html">
      <img alt="Next Document" border="0" src="images/next.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Next Page       
        </td>
        <td width="23">
          <a href="javascript:WWHSyncTOC(WWHelpHREF);">
            <img alt="Synchronize TOC" border="0" src="images/sync.gif" width="23" height="21" />
          </a>
        </td>
        <td width="120" class="CellBody">
        Synchronize with Contents
        </td>
      </tr>
    </table>

   <div id="WWHelpPopupDIV" style="position: absolute ; z-index: 1 ; visibility: hidden ; top: 0px ; left: 0px">
    <script type="text/javascript" language="JavaScript">
     <!--
      if ((parent != null) &&
          (parent.WWHelpFrameSet != null))
      {
        if (document.all != null)  // Non-Netscape browser
        {
          document.writeln(parent.WWHelpFrameSet.mPopup.fFormat("Popup"));
        }
      }
     // -->
    </script>
   </div>
  </body>
</html>
